#ifndef APP_PAIR_CHARGERPINk__
#define APP_PAIR_CHARGERPINk__


typedef enum
{
    CHARGE = 0,
    CONNECT_NO_CHARGE,
    DISCONNECT_CHARGE,
} pair_line_t;

// <q> BLE_PRINTF  - 调试信息
#ifndef PAIR_CHARGERPIN_PRINTF
#define PAIR_CHARGERPIN_PRINTF 0
#endif
#if PAIR_CHARGERPIN_PRINTF
#define PAIR_CHARGERPIN_PRINT(...) SEGGER_RTT_printf(0, __VA_ARGS__)
#else
#define PAIR_CHARGERPIN_PRINT(...) 
#endif

// <q> PAIR_INFO_EN  - 调试信息
#ifndef PAIR_CHARGERPIN_INFO_EN
#define PAIR_CHARGERPIN_INFO_EN 0
#endif
#if PAIR_CHARGERPIN_INFO_EN
#define PAIR_CHARGERPIN_INFO(...) SEGGER_RTT_printf(0, __VA_ARGS__)
#else
#define PAIR_CHARGERPIN_INFO(...) ;
#endif

typedef void (*Event)(void);

void app_pair_client_init(Event into,Event over);
void app_pair_client_uninit(void);
void app_pair_host_init(Event into,Event over);
void app_pair_host_uninit(void);
pair_line_t app_chargepin_pairline(void);
#endif
